%define upstream_name    WWW-Mechanize-Cached-GZip
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Like WWW::Mechanize + caching + gzip-compression
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(WWW::Mechanize::Cached)
BuildRequires: perl(WWW::Mechanize::GZip)
BuildArch: noarch

%description
The the WWW::Mechanize::Cached::GZip manpage module tries to fetch a URL by
requesting gzip-compression from the webserver.

Caching is done by inheriting from the WWW::Mechanize::Cached manpage.
Constructor parameters are identically and described there.

DECOMPRESSION
    If the response contains a header with 'Content-Encoding: gzip', it
    decompresses the response-body in order to get the original
    (uncompressed) content.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.120.0-4.mga9
+ Revision: 1810565
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.120.0-3.mga8
+ Revision: 1506934
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.120.0-2.mga7
+ Revision: 1287221
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 kekepower <kekepower> 0.120.0-1.mga7
+ Revision: 1217163
- Fix BuildRequires
- imported package perl-WWW-Mechanize-Cached-GZip


* Tue Apr 10 2018 cpan2dist 0.12-1mga
- initial mageia release, generated with cpan2dist
